<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>org.example</groupId>
    <artifactId>TestMavenCucumberReporting</artifactId>
    <version>1.0-SNAPSHOT</version>

    <properties>
        <maven.compiler.source>11</maven.compiler.source>
        <maven.compiler.target>11</maven.compiler.target>
    </properties>

    <dependencies>
        <!-- https://mvnrepository.com/artifact/net.masterthought/cucumber-reporting -->
        <dependency>
            <groupId>net.masterthought</groupId>
            <artifactId>cucumber-reporting</artifactId>
            <version>5.6.1</version>
        </dependency>

        <dependency>
            <groupId>io.cucumber</groupId>
            <artifactId>cucumber-java</artifactId>
            <version>7.0.0</version>
        </dependency>

        <dependency>
            <groupId>io.cucumber</groupId>
            <artifactId>cucumber-junit</artifactId>
            <version>7.0.0</version>
        </dependency>

        <!-- https://mvnrepository.com/artifact/io.cucumber/cucumber-core -->
        <dependency>
            <groupId>io.cucumber</groupId>
            <artifactId>cucumber-core</artifactId>
            <version>7.1.0</version>
        </dependency>
    </dependencies>
    <build>
        <sourceDirectory>src</sourceDirectory>
        <testSourceDirectory>src</testSourceDirectory>
        <finalName>sample</finalName>
    <plugins>
<!--        <plugin>-->
<!--            <groupId>org.apache.maven.plugins</groupId>-->
<!--            <artifactId>maven-surefire-plugin</artifactId>-->
<!--            <version>3.0.0-M5</version>-->
<!--&lt;!&ndash;            <configuration>&ndash;&gt;-->
<!--&lt;!&ndash;                <includes>&ndash;&gt;-->
<!--&lt;!&ndash;                    <include>**/*Test.class</include>&ndash;&gt;-->
<!--&lt;!&ndash;                    <include>**/*test.class</include>&ndash;&gt;-->
<!--&lt;!&ndash;                </includes>&ndash;&gt;-->
<!--&lt;!&ndash;            </configuration>&ndash;&gt;-->
<!--        </plugin>-->
<!--        <plugin>-->
<!--            <groupId>org.apache.maven.plugins</groupId>-->
<!--            <artifactId>maven-failsafe-plugin</artifactId>-->
<!--            <version>3.0.0-M5</version>-->
<!--&lt;!&ndash;                    <configuration>&ndash;&gt;-->
<!--&lt;!&ndash;                        <forkCount>1</forkCount>&ndash;&gt;-->
<!--&lt;!&ndash;                        <includes>&ndash;&gt;-->
<!--&lt;!&ndash;                            <include>**/*TestRunner.**</include>&ndash;&gt;-->
<!--&lt;!&ndash;                        </includes>&ndash;&gt;-->

<!--&lt;!&ndash;                    </configuration>&ndash;&gt;-->
<!--            <executions>-->
<!--&lt;!&ndash;                <execution>&ndash;&gt;-->
<!--&lt;!&ndash;                    <id>integration-test</id>&ndash;&gt;-->
<!--&lt;!&ndash;                    <goals>&ndash;&gt;-->
<!--&lt;!&ndash;                        <goal>integration-test</goal>&ndash;&gt;-->
<!--&lt;!&ndash;                    </goals>&ndash;&gt;-->
<!--&lt;!&ndash;                </execution>&ndash;&gt;-->
<!--                <execution>-->
<!--                    <id>verify</id>-->
<!--                    <goals>-->
<!--                        <goal>verify</goal>-->
<!--                    </goals>-->
<!--                </execution>-->
<!--            </executions>-->
<!--        </plugin>-->
    <plugin>
        <groupId>net.masterthought</groupId>
        <artifactId>maven-cucumber-reporting</artifactId>
        <version>5.6.2</version>
        <executions>
            <execution>
                <id>execution</id>
                <phase>test</phase>
                <goals>
                    <goal>generate</goal>
                </goals>
                <configuration>
                    <projectName>TestMavenCucumberReporting</projectName>
                    <skip>false</skip>
                    <outputDirectory>reports/html-reports</outputDirectory>
                    <inputDirectory>target/cucumber-reports</inputDirectory>
                    <jsonFiles>
                        <param>**/*.json</param>
                    </jsonFiles>
                </configuration>
            </execution>
        </executions>
    </plugin>
        <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-compiler-plugin</artifactId>
            <version>3.8.1</version>
            <configuration>
                <encoding>UTF-8</encoding>
                <target>1.8</target>
                <source>1.8</source>
            </configuration>
        </plugin>

    </plugins>
    </build>
</project>